{"openapi":"3.0.3","info":{"title":"call2all API","version":"1.0.0","description":"AI phone agents, numbers, contacts, campaigns and Prepaid Balance. Conventions: docs/API.md."},"components":{"securitySchemes":{"apiKey":{"type":"http","scheme":"bearer"}},"schemas":{}},"paths":{"/v1/health":{"get":{"tags":["system"],"security":[],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"boolean"}},"required":["ok"],"additionalProperties":false}}}},"503":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"boolean"}},"required":["ok"],"additionalProperties":false}}}}}}},"/v1/prices":{"get":{"summary":"Current price list and recharge tiers (public)","tags":["catalog"],"security":[],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"currency":{"type":"string"},"gst_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"billing_block_seconds":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"minimum_recharge":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"tiers":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"label":{"type":"string"},"min_value":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"discount_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991}},"required":["id","label","min_value","discount_bp"],"additionalProperties":false}},"per_minute":{"type":"object","properties":{"base":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"included_prompt_tokens":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"models":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"label":{"type":"string"},"badge":{"type":"string"},"description":{"type":"string"},"default":{"type":"boolean"},"standard":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"fast":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"long_instructions_per_1k":{"type":"object","properties":{"standard":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"fast":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["standard","fast"],"additionalProperties":false}},"required":["id","label","badge","description","default","standard","fast","long_instructions_per_1k"],"additionalProperties":false}},"voice":{"type":"object","properties":{"standard":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"premium":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"natural":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["standard","premium","natural"],"additionalProperties":false},"messages":{"type":"object","properties":{"recorded":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"tts":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"tts_premium_voice":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["recorded","tts","tts_premium_voice"],"additionalProperties":false},"forwarding":{"type":"object","properties":{"per_min":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"transcription":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["per_min","transcription"],"additionalProperties":false}},"required":["base","included_prompt_tokens","models","voice","messages","forwarding"],"additionalProperties":false},"monthly":{"type":"object","properties":{"number":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"extra_line":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["number","extra_line"],"additionalProperties":false}},"required":["currency","gst_bp","billing_block_seconds","minimum_recharge","tiers","per_minute","monthly"],"additionalProperties":false}}}}}}},"/v1/auth/signup":{"post":{"tags":["auth (dashboard)"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":100},"company":{"type":"string","minLength":1,"maxLength":120},"email":{"type":"string","maxLength":254,"format":"email","pattern":"^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"},"password":{"type":"string","minLength":10,"maxLength":200},"accept_terms":{"type":"boolean","enum":[true]}},"required":["name","company","email","password","accept_terms"]}}}},"security":[],"responses":{"201":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"object","properties":{"id":{"type":"string"},"email":{"type":"string"},"name":{"type":"string"},"role":{"type":"string","enum":["owner","admin","member","viewer"]},"email_verified":{"type":"boolean"}},"required":["id","email","name","role","email_verified"],"additionalProperties":false},"account":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"status":{"type":"string"}},"required":["id","name","status"],"additionalProperties":false}},"required":["user","account"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/auth/login":{"post":{"tags":["auth (dashboard)"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","maxLength":254,"format":"email","pattern":"^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"},"password":{"type":"string","minLength":1,"maxLength":200}},"required":["email","password"]}}}},"security":[],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"object","properties":{"id":{"type":"string"},"email":{"type":"string"},"name":{"type":"string"},"role":{"type":"string","enum":["owner","admin","member","viewer"]},"email_verified":{"type":"boolean"}},"required":["id","email","name","role","email_verified"],"additionalProperties":false},"account":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"status":{"type":"string"}},"required":["id","name","status"],"additionalProperties":false}},"required":["user","account"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/auth/logout":{"post":{"tags":["auth (dashboard)"],"responses":{"204":{"description":"Default Response","content":{"application/json":{"schema":{"type":"string","nullable":true,"enum":[null]}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/auth/me":{"get":{"tags":["auth (dashboard)"],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"object","properties":{"id":{"type":"string"},"email":{"type":"string"},"name":{"type":"string"},"role":{"type":"string","enum":["owner","admin","member","viewer"]},"email_verified":{"type":"boolean"}},"required":["id","email","name","role","email_verified"],"additionalProperties":false},"account":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"status":{"type":"string"}},"required":["id","name","status"],"additionalProperties":false}},"required":["user","account"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/auth/verify-email":{"post":{"tags":["auth (dashboard)"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"string","minLength":10,"maxLength":200}},"required":["token"]}}}},"security":[],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"object","properties":{"id":{"type":"string"},"email":{"type":"string"},"name":{"type":"string"},"role":{"type":"string","enum":["owner","admin","member","viewer"]},"email_verified":{"type":"boolean"}},"required":["id","email","name","role","email_verified"],"additionalProperties":false}},"required":["user"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/auth/resend-verification":{"post":{"tags":["auth (dashboard)"],"responses":{"204":{"description":"Default Response","content":{"application/json":{"schema":{"type":"string","nullable":true,"enum":[null]}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/auth/forgot-password":{"post":{"tags":["auth (dashboard)"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","maxLength":254,"format":"email","pattern":"^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"}},"required":["email"]}}}},"security":[],"responses":{"204":{"description":"Default Response","content":{"application/json":{"schema":{"type":"string","nullable":true,"enum":[null]}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/auth/reset-password":{"post":{"tags":["auth (dashboard)"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"string","minLength":10,"maxLength":200},"password":{"type":"string","minLength":10,"maxLength":200}},"required":["token","password"]}}}},"security":[],"responses":{"204":{"description":"Default Response","content":{"application/json":{"schema":{"type":"string","nullable":true,"enum":[null]}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/account":{"get":{"tags":["account"],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"status":{"type":"string"},"legal_name":{"nullable":true,"type":"string"},"gstin":{"nullable":true,"type":"string"},"state_code":{"nullable":true,"type":"string"},"billing_address":{"nullable":true,"type":"object","properties":{"line1":{"type":"string","minLength":1,"maxLength":200},"line2":{"type":"string","maxLength":200},"city":{"type":"string","minLength":1,"maxLength":100},"pincode":{"type":"string","pattern":"^[1-9]\\d{5}$"}},"required":["line1","city","pincode"],"additionalProperties":false},"billing_ready":{"type":"boolean"},"created_at":{"type":"string"}},"required":["id","name","status","legal_name","gstin","state_code","billing_address","billing_ready","created_at"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}},"patch":{"summary":"Update the account name and billing details (dashboard; owner or admin)","tags":["account"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":120},"legal_name":{"type":"string","minLength":2,"maxLength":200},"gstin":{"nullable":true,"type":"string"},"state_code":{"type":"string"},"billing_address":{"type":"object","properties":{"line1":{"type":"string","minLength":1,"maxLength":200},"line2":{"type":"string","maxLength":200},"city":{"type":"string","minLength":1,"maxLength":100},"pincode":{"type":"string","pattern":"^[1-9]\\d{5}$"}},"required":["line1","city","pincode"]}}}}}},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"status":{"type":"string"},"legal_name":{"nullable":true,"type":"string"},"gstin":{"nullable":true,"type":"string"},"state_code":{"nullable":true,"type":"string"},"billing_address":{"nullable":true,"type":"object","properties":{"line1":{"type":"string","minLength":1,"maxLength":200},"line2":{"type":"string","maxLength":200},"city":{"type":"string","minLength":1,"maxLength":100},"pincode":{"type":"string","pattern":"^[1-9]\\d{5}$"}},"required":["line1","city","pincode"],"additionalProperties":false},"billing_ready":{"type":"boolean"},"created_at":{"type":"string"}},"required":["id","name","status","legal_name","gstin","state_code","billing_address","billing_ready","created_at"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/catalog/gst-states":{"get":{"tags":["catalog"],"security":[],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"}},"required":["code","name"],"additionalProperties":false}}},"required":["data"],"additionalProperties":false}}}}}}},"/v1/balance":{"get":{"summary":"Prepaid Balance","tags":["billing"],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"balance":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"debt":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"lots":{"type":"array","items":{"type":"object","properties":{"tier":{"type":"string"},"discount_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"remaining":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["tier","discount_bp","remaining"],"additionalProperties":false}},"can_spend":{"type":"boolean"}},"required":["balance","debt","lots","can_spend"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/ledger":{"get":{"summary":"Statement: every change to the Prepaid Balance, newest first","tags":["billing"],"parameters":[{"schema":{"default":25,"type":"integer","minimum":1,"maximum":100},"in":"query","name":"limit","required":false},{"schema":{"type":"string","maxLength":64},"in":"query","name":"cursor","required":false},{"schema":{"type":"string","enum":["recharge","usage","fixed","adjustment_credit","adjustment_debit","debt","debt_settle"]},"in":"query","name":"kind","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"kind":{"type":"string"},"amount":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"list":{"nullable":true,"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"discount":{"nullable":true,"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"discount_bp":{"nullable":true,"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"settled":{"nullable":true,"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"lot_id":{"nullable":true,"type":"string"},"lot_tier":{"nullable":true,"type":"string"},"reference":{"nullable":true,"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string"}},"required":["type","id"],"additionalProperties":false},"description":{"type":"string"},"balance_after":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"created_at":{"type":"string"}},"required":["id","kind","amount","list","discount","discount_bp","settled","lot_id","lot_tier","reference","description","balance_after","created_at"],"additionalProperties":false}},"next_cursor":{"nullable":true,"type":"string"}},"required":["data","next_cursor"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/lots":{"get":{"summary":"Recharge lots and what each has left, newest first","tags":["billing"],"parameters":[{"schema":{"default":25,"type":"integer","minimum":1,"maximum":100},"in":"query","name":"limit","required":false},{"schema":{"type":"string","maxLength":64},"in":"query","name":"cursor","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"tier":{"type":"string"},"discount_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"original":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"remaining":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"recharge_id":{"nullable":true,"type":"string"},"created_at":{"type":"string"}},"required":["id","tier","discount_bp","original","remaining","recharge_id","created_at"],"additionalProperties":false}},"next_cursor":{"nullable":true,"type":"string"}},"required":["data","next_cursor"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/api-keys":{"get":{"tags":["api keys (dashboard)"],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"prefix":{"type":"string"},"scopes":{"type":"array","items":{"type":"string"}},"last_used_at":{"nullable":true,"type":"string"},"created_at":{"type":"string"}},"required":["id","name","prefix","scopes","last_used_at","created_at"],"additionalProperties":false}},"scopes":{"type":"array","items":{"type":"string"}}},"required":["data","scopes"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}},"post":{"tags":["api keys (dashboard)"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":60},"scopes":{"minItems":1,"maxItems":18,"type":"array","items":{"type":"string","enum":["account:read","billing:read","agents:read","agents:write","numbers:read","numbers:write","contacts:read","contacts:write","calls:read","calls:write","campaigns:read","campaigns:write","triggers:read","triggers:write","webhooks:read","webhooks:write","settings:read","settings:write"]}}},"required":["name","scopes"]}}}},"responses":{"201":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"prefix":{"type":"string"},"scopes":{"type":"array","items":{"type":"string"}},"last_used_at":{"nullable":true,"type":"string"},"created_at":{"type":"string"},"key":{"type":"string"}},"required":["id","name","prefix","scopes","last_used_at","created_at","key"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/api-keys/{id}":{"delete":{"tags":["api keys (dashboard)"],"parameters":[{"schema":{"type":"string","maxLength":40},"in":"path","name":"id","required":true}],"responses":{"204":{"description":"Default Response","content":{"application/json":{"schema":{"type":"string","nullable":true,"enum":[null]}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/recharges/terms":{"get":{"summary":"The non-refundable acknowledgement shown before every recharge","tags":["billing"],"security":[],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"version":{"type":"string"},"text":{"type":"string"}},"required":["version","text"],"additionalProperties":false}}}}}}},"/v1/recharges/quote":{"post":{"summary":"GST and tier for a recharge value (dashboard)","tags":["billing"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"value_paise":{"type":"integer","minimum":0,"exclusiveMinimum":true,"maximum":9007199254740991}},"required":["value_paise"]}}}},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"value":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"gst":{"type":"object","properties":{"cgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"sgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"igst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["cgst","sgst","igst","total"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"tier":{"type":"object","properties":{"id":{"type":"string"},"label":{"type":"string"},"discount_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991}},"required":["id","label","discount_bp"],"additionalProperties":false},"next_tier":{"nullable":true,"type":"object","properties":{"id":{"type":"string"},"label":{"type":"string"},"discount_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"min_value":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["id","label","discount_bp","min_value"],"additionalProperties":false}},"required":["value","gst","total","tier","next_tier"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/recharges":{"post":{"summary":"Start a recharge: creates the payment order (dashboard; owner or admin)","tags":["billing"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"value_paise":{"type":"integer","minimum":0,"exclusiveMinimum":true,"maximum":9007199254740991},"acknowledgement":{"type":"object","properties":{"accepted":{"type":"boolean","enum":[true]},"version":{"type":"string","maxLength":40}},"required":["accepted","version"]}},"required":["value_paise","acknowledgement"]}}}},"responses":{"201":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"recharge":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"source":{"type":"string"},"value":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"gst":{"type":"object","properties":{"cgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"sgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"igst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["cgst","sgst","igst","total"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"tier":{"type":"string"},"discount_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"invoice_id":{"nullable":true,"type":"string"},"created_at":{"type":"string"},"paid_at":{"nullable":true,"type":"string"},"autopay":{"nullable":true,"description":"Auto-recharge details; null for checkout and offline recharges","type":"object","properties":{"mandate_id":{"nullable":true,"type":"string"},"state":{"type":"string","enum":["requesting","pending","paid","failed"],"description":"pending = the bank has the debit request; UPI and card debits land 1–3 days later"},"requested_at":{"nullable":true,"type":"string"},"failure_reason":{"nullable":true,"type":"string"}},"required":["mandate_id","state","requested_at","failure_reason"],"additionalProperties":false}},"required":["id","status","source","value","gst","total","tier","discount_bp","invoice_id","created_at","paid_at","autopay"],"additionalProperties":false},"checkout":{"type":"object","properties":{"key_id":{"type":"string"},"order_id":{"type":"string"},"amount":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"currency":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"}},"required":["key_id","order_id","amount","currency","name","description"],"additionalProperties":false}},"required":["recharge","checkout"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}},"get":{"tags":["billing"],"parameters":[{"schema":{"default":25,"type":"integer","minimum":1,"maximum":100},"in":"query","name":"limit","required":false},{"schema":{"type":"string","maxLength":64},"in":"query","name":"cursor","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"source":{"type":"string"},"value":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"gst":{"type":"object","properties":{"cgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"sgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"igst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["cgst","sgst","igst","total"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"tier":{"type":"string"},"discount_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"invoice_id":{"nullable":true,"type":"string"},"created_at":{"type":"string"},"paid_at":{"nullable":true,"type":"string"},"autopay":{"nullable":true,"description":"Auto-recharge details; null for checkout and offline recharges","type":"object","properties":{"mandate_id":{"nullable":true,"type":"string"},"state":{"type":"string","enum":["requesting","pending","paid","failed"],"description":"pending = the bank has the debit request; UPI and card debits land 1–3 days later"},"requested_at":{"nullable":true,"type":"string"},"failure_reason":{"nullable":true,"type":"string"}},"required":["mandate_id","state","requested_at","failure_reason"],"additionalProperties":false}},"required":["id","status","source","value","gst","total","tier","discount_bp","invoice_id","created_at","paid_at","autopay"],"additionalProperties":false}},"next_cursor":{"nullable":true,"type":"string"}},"required":["data","next_cursor"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/recharges/verify":{"post":{"summary":"Confirm a Checkout payment (dashboard)","tags":["billing"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"razorpay_order_id":{"type":"string","maxLength":60},"razorpay_payment_id":{"type":"string","maxLength":60},"razorpay_signature":{"type":"string","maxLength":200}},"required":["razorpay_order_id","razorpay_payment_id","razorpay_signature"]}}}},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"recharge":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"source":{"type":"string"},"value":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"gst":{"type":"object","properties":{"cgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"sgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"igst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["cgst","sgst","igst","total"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"tier":{"type":"string"},"discount_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"invoice_id":{"nullable":true,"type":"string"},"created_at":{"type":"string"},"paid_at":{"nullable":true,"type":"string"},"autopay":{"nullable":true,"description":"Auto-recharge details; null for checkout and offline recharges","type":"object","properties":{"mandate_id":{"nullable":true,"type":"string"},"state":{"type":"string","enum":["requesting","pending","paid","failed"],"description":"pending = the bank has the debit request; UPI and card debits land 1–3 days later"},"requested_at":{"nullable":true,"type":"string"},"failure_reason":{"nullable":true,"type":"string"}},"required":["mandate_id","state","requested_at","failure_reason"],"additionalProperties":false}},"required":["id","status","source","value","gst","total","tier","discount_bp","invoice_id","created_at","paid_at","autopay"],"additionalProperties":false}},"required":["recharge"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/recharges/{id}":{"get":{"tags":["billing"],"parameters":[{"schema":{"type":"string","maxLength":40},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"source":{"type":"string"},"value":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"gst":{"type":"object","properties":{"cgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"sgst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"igst":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false}},"required":["cgst","sgst","igst","total"],"additionalProperties":false},"total":{"type":"object","properties":{"paise":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"display":{"type":"string"}},"required":["paise","display"],"additionalProperties":false},"tier":{"type":"string"},"discount_bp":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"invoice_id":{"nullable":true,"type":"string"},"created_at":{"type":"string"},"paid_at":{"nullable":true,"type":"string"},"autopay":{"nullable":true,"description":"Auto-recharge details; null for checkout and offline recharges","type":"object","properties":{"mandate_id":{"nullable":true,"type":"string"},"state":{"type":"string","enum":["requesting","pending","paid","failed"],"description":"pending = the bank has the debit request; UPI and card debits land 1–3 days later"},"requested_at":{"nullable":true,"type":"string"},"failure_reason":{"nullable":true,"type":"string"}},"required":["mandate_id","state","requested_at","failure_reason"],"additionalProperties":false}},"required":["id","status","source","value","gst","total","tier","discount_bp","invoice_id","created_at","paid_at","autopay"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}},"429":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":{}},"request_id":{"type":"string"}},"required":["code","message","details","request_id"],"additionalProperties":false}},"required":["error"],"additionalProperties":false}}}}}}},"/v1/invoices":{"get":{"tags":["billing"],"p
[...]
